Get list of items
curl --request GET \
--url https://app.getswipe.in/api/partner/v2/product/list \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.getswipe.in/api/partner/v2/product/list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.getswipe.in/api/partner/v2/product/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"message": "",
"error_code": "",
"errors": {},
"data": {
"items": [
{
"id": "ITEM123",
"name": "Item Name",
"quantity": 1,
"unit_price": 100,
"price_with_tax": 118,
"item_type": "Product",
"tax_rate": 18,
"discount_percent": 10,
"description": "Item Description",
"hsn_code": "1234",
"unit": "kg",
"category": "Electronics",
"swipe_id": 1,
"developer_note": "This is a developer note"
}
],
"total_records": 10
}
}{
"success": true,
"message": "Message",
"error_code": "",
"errors": {},
"data": {
"message": "No data found!"
}
}{
"success": true,
"message": "Message",
"error_code": "",
"errors": {},
"data": {
"message": "No data found!"
}
}{
"success": true,
"message": "Message",
"error_code": "",
"errors": {},
"data": {
"message": "No data found!"
}
}Products
Get list of items
Lists the items in your catalog.
GET
/
v2
/
product
/
list
Get list of items
curl --request GET \
--url https://app.getswipe.in/api/partner/v2/product/list \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.getswipe.in/api/partner/v2/product/list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.getswipe.in/api/partner/v2/product/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"message": "",
"error_code": "",
"errors": {},
"data": {
"items": [
{
"id": "ITEM123",
"name": "Item Name",
"quantity": 1,
"unit_price": 100,
"price_with_tax": 118,
"item_type": "Product",
"tax_rate": 18,
"discount_percent": 10,
"description": "Item Description",
"hsn_code": "1234",
"unit": "kg",
"category": "Electronics",
"swipe_id": 1,
"developer_note": "This is a developer note"
}
],
"total_records": 10
}
}{
"success": true,
"message": "Message",
"error_code": "",
"errors": {},
"data": {
"message": "No data found!"
}
}{
"success": true,
"message": "Message",
"error_code": "",
"errors": {},
"data": {
"message": "No data found!"
}
}{
"success": true,
"message": "Message",
"error_code": "",
"errors": {},
"data": {
"message": "No data found!"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is an API key from the API Integration section of your dashboard. Keys are scoped to the company they are generated in — for testing, add a separate test company and generate the key there, so requests never touch your real books.
Query Parameters
Number of records to fetch(max 100), default : 25 items will be sent in response
Page number
Field to sort the items by. If omitted, items are returned in creation order.
Available options:
name, category, quantity, unit_price, price_with_tax, tax_rate, created_at, updated_at Sort direction applied when sort_by is set: 'asc' (default) or 'desc'.
Available options:
asc, desc 
